lex.c File Reference

Go to the source code of this file.

## Data Structures

struct | kwtable

## Macros

#define | rb_reserved_word(str, len) reserved_word(str, len)
#define | TOTAL_KEYWORDS 41
#define | MIN_WORD_LENGTH 2
#define | MAX_WORD_LENGTH 12
#define | MIN_HASH_VALUE 8
#define | MAX_HASH_VALUE 50

## Functions

struct kwtable * | rb_reserved_word (const char *, unsigned int)
static struct kwtable * | reserved_word (const char *, unsigned int)
static unsigned int | hash (const char *str, unsigned int len)

## Macro Definition Documentation

#define MAX_HASH_VALUE 50

Definition at line 45 of file lex.c.

#define MAX_WORD_LENGTH 12

Definition at line 43 of file lex.c.

#define MIN_HASH_VALUE 8

Definition at line 44 of file lex.c.

#define MIN_WORD_LENGTH 2

Definition at line 42 of file lex.c.

#define rb_reserved_word | ( |  | str,
|  |  | len
| ) |  | reserved_word(str, len)

Definition at line 37 of file lex.c.

Referenced by parser_yylex(), and reg_named_capture_assign_iter().

#define TOTAL_KEYWORDS 41

Definition at line 41 of file lex.c.

## Function Documentation

static unsigned int hash | ( | const char * | str,
|  | unsigned int | len
| ) |  |

static

Definition at line 56 of file lex.c.

References asso_values, and len.

Referenced by ary_add_hash(), ary_add_hash_by(), ary_make_hash(), ary_make_hash_by(), ary_tmp_hash_new(), BigDecimal_hash(), count_nodes(), count_objects(), count_objects_size(), count_tdata_objects(), cto_i(), date__httpdate(), date__iso8601(), date__jisx0301(), date__parse(), date__rfc2822(), date__rfc3339(), date__strptime(), date__xmlschema(), date_s__parse_internal(), date_s__strptime_internal(), date_s_httpdate(), date_s_iso8601(), date_s_jisx0301(), date_s_parse(), date_s_rfc2822(), date_s_rfc3339(), date_s_strptime(), date_s_xmlschema(), datetime_s_httpdate(), datetime_s_iso8601(), datetime_s_jisx0301(), datetime_s_parse(), datetime_s_rfc2822(), datetime_s_rfc3339(), datetime_s_strptime(), datetime_s_xmlschema(), debug_lines(), enum_group_by(), env_to_hash(), fdbm_invert(), fdbm_to_hash(), fgdbm_invert(), fgdbm_to_hash(), flo_hash(), fsdbm_invert(), fsdbm_to_hash(), gc_stat(), get_hash(), hash_alloc(), id_hash_new(), Init_ossl_x509name(), iseq_data_to_ary(), lfp_svar_get(), lfp_svar_set(), match(), method_hash(), ossl_dh_get_params(), ossl_dsa_get_params(), ossl_rsa_get_params(), ossl_sslctx_get_session_cache_stats(), ossl_x509name_hash(), proc_hash(), rb_ary_and(), rb_ary_diff(), rb_ary_or(), rb_ary_uniq(), rb_ary_uniq_bang(), rb_big_hash(), rb_exec_getargs(), rb_hash_clear(), rb_hash_compare_by_id(), rb_hash_delete_if(), rb_hash_each_key(), rb_hash_each_pair(), rb_hash_each_value(), rb_hash_foreach(), rb_hash_initialize(), rb_hash_keep_if(), rb_hash_rehash(), rb_hash_reject_bang(), rb_hash_replace(), rb_hash_s_create(), rb_hash_select_bang(), rb_hash_to_hash(), rb_reg_named_captures(), rb_scan_args(), rb_str_format(), rb_str_sub_bang(), recursive_hash(), recursive_list_access(), reg_named_captures_iter(), rt_complete_frags(), rt_rewrite_frags(), sdbm_store(), set_zero(), set_zero_i(), str_gsub(), subs(), tk_hash_kv(), tr_trans(), and yyparse().

struct kwtable* rb_reserved_word | ( | const char * | str,
|  | unsigned int | len
| ) |  |

read

Definition at line 16506 of file ripper.c.

static struct kwtable* reserved_word | ( | const char * | ,
|  | unsigned | int
| ) |  |

static read

Referenced by rb_reserved_word().